Name:		3d-switch-applet
Version:	1.1
Release:	1%{?dist}
Summary:	An applet to quickly switch between the 3D and 2D desktops

Group:		User Interface/Desktops
License:	GPL
Source0:	3d-switch-applet-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	pygobject2, python
BuildArch:	noarch

%description
Switch easily between 3D and 2D desktop with one click.

%prep
%setup -q

%build

%install
rm -rf ${RPM_BUILD_ROOT}
install -d ${RPM_BUILD_ROOT}%{_datadir}/%{name}
install -m 644 logooff24.png logo24.png logounav24.png \
  ${RPM_BUILD_ROOT}%{_datadir}/%{name}/
install -D -m 755 %{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}
install -D -m 644 %{name}.desktop \
  ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/autostart/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_datadir}
%{_datadir}/%{name}
%dir %{_sysconfdir}
%dir %{_sysconfdir}/xdg
%dir %{_sysconfdir}/xdg/autostart
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%dir %{_bindir}
%{_bindir}/%{name}

%changelog
* Tue Jul  7 2009 Philippe Troin <phil@fifi.org> - 1.1-1
- Pakckaged.

